# Type Alias UserDirectoryConfiguration

type UserDirectoryConfiguration = {
businessContactShow: boolean;
cardFields: string[];
cnt?: number;
contactDirectoryShow: "0" | "1";
filters: { name: string; type: string }[];
menu: "0" | "1";
sort: string;
tableFields: string[];
userDirectoryShow: "" | "1";
userGeoloc?: boolean;
viewFields: string[];
}

- Defined in jamespot-user-api/src/types/user.ts:183

##### Index

### Properties

businessContactShow
cardFields
cnt?
contactDirectoryShow
filters
menu
sort
tableFields
userDirectoryShow
userGeoloc?
viewFields

## Properties

### businessContactShow

businessContactShow: boolean

- Defined in jamespot-user-api/src/types/user.ts:186

### cardFields

cardFields: string[]

- Defined in jamespot-user-api/src/types/user.ts:188

### `Optional` cnt

cnt?: number

- Defined in jamespot-user-api/src/types/user.ts:193

### contactDirectoryShow

contactDirectoryShow: "0" | "1"

- Defined in jamespot-user-api/src/types/user.ts:185

### filters

filters: { name: string; type: string }[]

- Defined in jamespot-user-api/src/types/user.ts:194

### menu

menu: "0" | "1"

- Defined in jamespot-user-api/src/types/user.ts:187

### sort

sort: string

- Defined in jamespot-user-api/src/types/user.ts:192

### tableFields

tableFields: string[]

- Defined in jamespot-user-api/src/types/user.ts:189

### userDirectoryShow

userDirectoryShow: "" | "1"

- Defined in jamespot-user-api/src/types/user.ts:184

### `Optional` userGeoloc

userGeoloc?: boolean

- Defined in jamespot-user-api/src/types/user.ts:191

### viewFields

viewFields: string[]

- Defined in jamespot-user-api/src/types/user.ts:190